{% extends "base.html" %}

{% block title %}Welcome{% endblock %}
{% load static %}
{% block static %}
  <link rel="stylesheet" type="text/css" href="{% static 'style/landings/welcome.css' %}">
{% endblock %}

{% block content %}
  <main class="container">
    <section class="mt-lg-5">
      <div class="row">
        <div class="col-12">
          <h1 class="mt-5">Welcome to STRAP</h1>
          <p class="mt-3">
            The <strong>Simplified Teaching and Research Application Platform (STRAP)</strong> project aims to provide common components for web-based research applications so that researchers are able to concentrate on developing their research software, lowering the barrier to deliver data and analysis portals while leveraging enterprise-grade computing and storage infrastructure, identity providers, database services, and other important supporting components.
          </p>
          <p>Check out some applications that are active on STRAP:</p>

          <div class="row row-cols-1 row-cols-md-2 mt-3">
            {% for app in published_applications %}
              <div class="col mt-3">
                <div class="card h-100">
                  <div class="card-body">
                    <a href="{{ app.get_url }}" target="_blank" class="card-title text-black"><h5>{{ app.descriptive_name }}</h5></a>
                    <p>{{ app.description }}</p>
                    <a href="{{ app.get_url }}" target="_blank" class="card-link">Visit app <i class="fa-solid fa-arrow-up-right-from-square"></i></a>
                  </div>
                </div>
              </div>
            {% endfor %}
          </div>
        </div>
      </div>
    </section>
  </main>
{% endblock %}
